Ticket #2753 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

Update newinstall.sh to use eups 1.2.32 for its system installations

Reported by: robyn Owned by: robyn
Priority: normal Milestone:
Component: TCT Keywords:
Cc: robyn, mjuric, ktl, rhl, smm, rowen, RayPlante, gpdf Blocked By:
Blocking: Project: LSST
Version Number:
How to repeat:

not applicable

Description

Buildbot requires the 'raw' option available in EUPS 1.2.32 or later. Eups 1.2.32 is installed as the default on the cluster system stack.

However, the current fresh-install script: 'newinstall.sh', picks up eups 1.2.30 for new installations.

Although Buildbot is apparently the only eups user impacted at the moment, I would like consistency in the system stack across the languages/platforms.

Change History

comment:1 Changed 6 years ago by robyn

From: "Robyn Allsman" <robyn@…> Subject: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:04:25 -0700

OK TCT members,

Step up and tell the group your concerns regarding installing eups 1.2.32 as the eups version distributed during initial installation (i.e. when using newinstall.sh).

eups 1.2.32 is already the default version on the cluster and has been since last May.

If you already know your stance on the issue, please tell me your vote.


From: Kian-Tat Lim <ktl@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:06:24 -0700

OK with me. Are the binary distributions 1.2.30 or 1.2.32?

Do we have a Trac page with the instructions for how to get from a 1.2.30 installation to 1.2.32?


From: "Robyn Allsman" <robyn@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:37:11 -0700

1) The binary distributions are 1.2.30. [ED: fixed typo]

2) Not that I know of. I figured a combination of:

wiki:AboutDistributionServers and wiki:ReleasingNewProductVersions

would provide the info I need. A better referral would be graciously accepted.


From: "Robyn Allsman" <robyn@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:40:12 -0700

Wait, I think I misunderstood your last question. You were concerned about users who need to update their local eups 1.2.30 installation to an 1.2.32 installation using the LSST distribution server. Correct?

I can write that up in advance assuming that the distribution 1.2.32 is already installed in the LSST distribution server repository.


From: Robert Lupton the Good <rhl@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 17:42:40 -0400

The operations are simple. Install the new version (./configure --prefix=....; make install should work but I'd have to check if I ever added --prefix; if not there is some other option to say where the install should go). At that point you can say setup eups 1.2.32

If you want to make it the default, you'll have to retarget a symbolic link.


From: "Robyn Allsman" <robyn@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:46:16 -0700

The current eups version on the distribution server is 1.2.30. If we keep the numbering of the external software's version, the new version would be 1.2.32. It is not yet available on the distribution server.

Although I did not personally upgrade the cluster's version to 1.2.32 I am culpable since I requested its upgrade by a developer with suitable privilege and appropriate rank.


From: Robert Lupton the Good <rhl@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 17:49:41 -0400

In case you care, the latest eups is 1.2.34


From: "Robyn Allsman" <robyn@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:53:26 -0700

Ah, but then I'd need to go through a testing process to ensure the 1.2.34 works with our existing stack needs. I've got 12 months of verification that 1.2.32 works fine.

Sigh. I'll check out what's changed between 1.2.30 and 1.2.32 and 1.2.34 to see if it's worth the effort.


From: Russell Owen <rowen@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:55:03 -0700

I vote yes: please upgrade.


From: Russell Owen <rowen@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 14:56:49 -0700

oops. Wrote too soon. Sorry to see the versions are such a mess.

1.2.32 is clearly safe. I don't know how much headache it is to test 1.2.34, but I suspect it's not worth the effort right now. We could make that change while using next.


From: Kian-Tat Lim <ktl@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 15:34:31 -0700

OK, we should make it available.

I was referring to "1.3.30" above. I guess that is really "1.2.30". The binaries should be updated at the same time.


From: Kian-Tat Lim <ktl@…> Subject: Re: TCT: Your comments and/or vote is requested Date: Wed, 10 Apr 2013 15:35:24 -0700

Wait, I think I misunderstood your last question. You were concerned about users who need to update their local eups 1.2.30 installation to an 1.2.32 installation using the LSST distribution server. Correct?

Or any other recommended means, yes.


comment:2 Changed 6 years ago by robyn

This is informational wrt scheduling of eups update.

First, I've checked a DM stack manifest created when all current packages are setup and note that none of the 3rd-party packages or products include 'eups' in their dependency list. This seems reasonable since it is a build support tool. This also means that eups can be updated in isolation from the DM stack Release as long as build options described in certain documents are not impacted. These docos include the 'Installing' series and potentially Shaw's seasonal Final Report series.

Second, I've checked the advertized Release Notes for the changes between 1.2.32 and 1.2.34. They are few but there is one which would be useful for buildbot - an option to check cycles in dependencies. This would probably allow a simplification in the overall full stack build procedure and has the potential to speed up full stack processing.

FYI: The on-git-change stack processing time would not be affected since we decided that the real-time version could play a little loose on complete distribution quality verification which includes catching dependency cycles.

The Release Notes for 1.2.34 additions are:

================================== 1.2.34 ===================================
2013-02-13 rhl
       Support
           hooks.config.Eups.defaultTags = dict(pre=["XXX", "YYY"], post=["ZZZ"])
       in startup.py to specify that setup, with no tags, is equivalent to
           setup -t XXX,YYY -T ZZZ

       N.b. you can disable this with setup -t None (or setup -t "")

2013-02-08 rhl
       Permit environmental variables in setup{Optional,Required}.

       Allow ${XXX} (no ?) when referencing environmental variables; abort if XXX is not defined

2013-02-07 rhl
       Fix bug whereby you couldn't use other-users' tags referring to shared stacks

2013-01-09 rhl
       Committed support for --debug=profile (it was written I don't know when)

2012-09-13 rhl
       Support eups distrib list -v prod [version] to list dependencies of specified product

2012-06-27 rhl
       Added print command to table files.  The first word (which may be separated by a comma) may be one of
       stdout, stderr, stdok, stdinfo, stdwarn

2012-05-23 rhl
      Added --checkCycles to eups list to detect cycles in dependencies

================================== 1.2.32 ==================================

comment:3 Changed 6 years ago by robyn

  • Status changed from new to closed
  • Resolution set to fixed

eups 1.2.32 is now used by the newinstall process.

Note: See TracTickets for help on using tickets.